ZIP_NAME_LOCATE(3)

NAME
zip_name_locate - get index of file by name

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

zip_int64_t
zip_name_locate(struct zip *archive, const char *fname, zip_flags_t flags);

DESCRIPTION
The zip_name_locate() function returns the index of the file named fname in archive. If archive does not contain a file with that name, -1 is returned. The flags are specified by or'ing the following values, or 0 for none of them.

    ZIP_FL_NOCASE
        Ignore case distinctions. (Will only work well if the file names are ASCII.)

    ZIP_FL_NODIR
        Ignore directory part of file name in archive.

    ZIP_FL_ENC_RAW
        Compare against the unmodified names as it is in the ZIP archive.

    ZIP_FL_ENC_GUESS
        (Default.) Guess the encoding of the name in the ZIP archive and convert it to UTF-8, if necessary, before comparing.

    ZIP_FL_ENC_STRICT
        Follow the ZIP specification and expect CP-437 encoded names in the ZIP archive (except if they are explicitly marked as UTF-8). Convert it to UTF-8 before comparing.
Note: ASCII is a subset of both CP-437 and UTF-8.

RETURN VALUES
zip_name_locate() returns the index of the file named fname or -1, if archive does not contain an entry of that name.

ERRORS
zip_name_locate() fails if:

[ZIP_ER_NOENT]
    No entry of the name fname is found in the archive.

[ZIP_ER_INVAL]
    One of the arguments is invalid.

[ZIP_ER_MEMORY]
    Required memory could not be allocated.

SEE ALSO
libzip(3), zip_get_name(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>